> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finosu.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel All Scheduled Calls

> Cancels all pending scheduled calls for a customer



## OpenAPI

````yaml POST /scheduled-calls/customer/{customerId}/cancel-all
openapi: 3.1.0
info:
  title: Finosu API
  description: Finosu API
  license:
    name: MIT
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
paths:
  /scheduled-calls/customer/{customerId}/cancel-all:
    post:
      description: Cancels all pending scheduled calls for a customer
      parameters:
        - name: customerId
          in: path
          description: ID of customer whose scheduled calls should be canceled
          required: true
          schema:
            type: string
      responses:
        '200':
          description: All scheduled calls canceled for customer
          content:
            application/json:
              schema:
                type: object
                properties:
                  canceledCount:
                    type: integer
                    description: Number of scheduled calls that were canceled
                  scheduledCalls:
                    type: array
                    items:
                      $ref: '#/components/schemas/ScheduledCall'
                    description: Array of canceled scheduled calls
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ScheduledCall:
      type: object
      properties:
        id:
          description: Identification number of the scheduled call
          type: string
        customerId:
          description: ID of the customer
          type: string
        scheduledTime:
          description: Scheduled time of the call
          type: string
        status:
          description: Status of the scheduled call
          type: string
        callId:
          description: Identification number of the call if the call has been executed
          type: string
        postProcessingFlags:
          description: >-
            Array of post-processing flags from the associated call. Common
            flags include: DNC (Do Not Call), COMPLAINT, MESSAGE_LEFT,
            VOICEMAIL_CONNECT, RPC (Right Party Contact), THIRD_PARTY_CONTACT,
            WRONG_NUMBER, DECEASED, INCARCERATED, MILITARY, BANKRUPTCY,
            CIP_PASSED, CIP_FAILED, TRANSFER, CALLBACK_REQUEST, and others
          type: array
          items:
            type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````